jQuery(function($){
	
	$(window).load(function() {
		updateDurataEveniment();
	});
	
	var elems = ['u', 'u2', 'denInstalatie','denInstalatie2','defect','descriere','semnalizari','pi','gestionar','observatii'];
	for(var i = 0; i < elems.length; i++) {
		var elem = '#' + elems[i];
		var $el = $(elem);
		if($el.val() == 'null')
			$el.val("");
	}
	
	$('#saveMaifi').click(function() {
		var $form = $('form[name="zaforma"]');
		var isValid = true;
		
		var message = "";
		
		if(parseInt($('#durataOre').val()) > 2) {
			message += "Eroare - Durata evenimentului trebuie sa fie mai mica de 3 minute\n";
			isValid = false;
		}
		
		if(parseInt($('#durataOre').val()) < 0) {
			message += "Eroare - Data revenirii trebuie sa fie dupa Data producerii\n";
			isValid = false;
		}
		
		if($('#dataProducere').val() == '') {
			message += "2.1 - Campul data producere este obligatoriu!\n";
			isValid = false;
		}
		
		if($('#dataRealimentare').val() == '') {
			message += "2.2 - Campul data realimentare este obligatoriu!\n";
			isValid = false;
		}
		/*
		if($('#dataRevenireSN').val() == '') {
			message += "2.3 - Campul data revenire SN este obligatoriu\n";
			isValid = false;
		}
		
		*/
		var isTipInstalatieRadioValid = false;
		
		$('input[name="tipInstalatieRadio"]').each(function(i, elm) {
			if(typeof $(this).attr('checked') !== typeof undefined) {
				isTipInstalatieRadioValid = true;
				return;
			}
		});
			
		if(!isTipInstalatieRadioValid) {
			message += "3.1 - Campul tipul instalatiei este obligatoriu\n";
			isValid = false;
		}
		
		if($('#denInstalatie').val() == '') {
			message += "3.2 - Campul denumirea instalatiei este obligatoriu\n";
			isValid = false;
		}
		
		
		
		if(isValid)
			$form.submit();
		else {
			alert(message);
		}
		
	});
});
	
